First off i would like to send my hello's to the community, hi . I
have just installed OpenSUSE 1.11 on my laptop for general, everyday
use, (college, internet, word processing ect.). And everything in that
field i wanted installed without a problem, most of it was in the
repository. But another one of my so-called hobbies is networking and
security. I have installed Kismet, and wireshark no problem at all, but
when i try to install Aircrack-ng (the latest release), i get an error
when i run make. I have gcc installed and the g++ package, but still of
no avail. Here is what i get >


Code:
--------------------
linux-m57p:/home/zen/Desktop/aircrack-ng-1.0-rc1 # make
make -C src all
make[1]: Entering directory `/home/zen/Desktop/aircrack-ng-1.0-rc1/src'
make -C osdep
make[2]: Entering directory `/home/zen/Desktop/aircrack-ng-1.0-rc1/src/osdep'
Building for Linux
make[3]: Entering directory `/home/zen/Desktop/aircrack-ng-1.0-rc1/src/osdep'
make[3]: `.os.Linux' is up to date.
make[3]: Leaving directory `/home/zen/Desktop/aircrack-ng-1.0-rc1/src/osdep'
make[2]: Leaving directory `/home/zen/Desktop/aircrack-ng-1.0-rc1/src/osdep'
gcc -g -W -Wall -Werror -O3 -D_FILE_OFFSET_BITS=64 -D_REVISION=0 -Iinclude -c -o aircrack-ng.o aircrack-ng.c
In file included from aircrack-ng.c:63:
crypto.h:12:26: error: openssl/hmac.h: No such file or directory
crypto.h:13:25: error: openssl/sha.h: No such file or directory
crypto.h:15:25: error: openssl/rc4.h: No such file or directory
crypto.h:16:25: error: openssl/aes.h: No such file or directory
cc1: warnings being treated as errors
aircrack-ng.c: In function do_wpa_crack:
aircrack-ng.c:4026: error: implicit declaration of function HMAC
aircrack-ng.c:4026: error: implicit declaration of function EVP_sha1
aircrack-ng.c:4032: error: implicit declaration of function EVP_md5
make[1]: *** [aircrack-ng.o] Error 1
make[1]: Leaving directory `/home/zen/Desktop/aircrack-ng-1.0-rc1/src'
make: *** [all] Error 2
linux-m57p:/home/zen/Desktop/aircrack-ng-1.0-rc1 #

--------------------


I have looked into this, (google is a wonderful thing ), and have
found that with Ubuntu there is a package required available through
their repository called 'build-essential', and apparently for some Ub
users this solved the problem.

link : '[ubuntu] Help needed installing Aircrack-ng - Ubuntu Forums'
(http://ubuntuforums.org/showthread.php?t=924839)

I have tried looking into it and searched around here but have not
found anything of any real relevence on the subject.

Any help what so ever is appreciated.

Warm regards,

zak0


--
zak0
------------------------------------------------------------------------
zak0's Profile: http://forums.opensuse.org/member.php?userid=20165
View this thread: http://forums.opensuse.org/showthread.php?t=405136